{#
 * Copyright (C) 2014, Champs Libres Cooperative SCRLFS, <http://www.champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
#}
{% extends "@ChillPerson/Person/layout.html.twig" %}

{% set activeRouteKey = '' %}

{% block title %}{{ 'New address'|trans }}{% endblock %}

{% block content %}
<div class="address-new">

    {% block content %}
        <h1>{{ block('title') }}</h1>

        {# include vue_address component #}
        {% include '@ChillMain/Address/_insert_vue_address.html.twig' with {
            targetEntity: { name: 'person', id: person.id },
            backUrl: path('chill_person_address_list', { 'person_id': person.id }),
            openPanesInModal: false,
            stickyActions: true,
            useValidFrom: true,
        } %}
        {#
            useValidTo: true,
        #}

    {% endblock %}

</div>
{% endblock %}

